Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.base
Class JRBasePrintHyperlink

    java.lang.Object
      net.sf.jasperreports.engine.base.JRBasePrintHyperlink

All Implemented Interfaces:
  java.io.Serializable, JRPrintHyperlink

    public class JRBasePrintHyperlink

extends java.lang.Object
implements JRPrintHyperlink, java.io.Serializable

Stand-alone implementation of `JRPrintHyperlink`.

Version:
  $Id: JRBasePrintHyperlink.java 3715 2010-04-08 18:08:49Z teodord $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)
See Also:
  Serialized Form

Constructor Summary
`JRBasePrintHyperlink()` Creates a blank hyperlink.

Method Summary
`void` | `addHyperlinkParameter(JRPrintHyperlinkParameter parameter)` Adds a custom hyperlink parameter.
`java.lang.String` | `getHyperlinkAnchor()`
`java.lang.Integer` | `getHyperlinkPage()`
`JRPrintHyperlinkParameters` | `getHyperlinkParameters()` Returns the set of custom hyperlink parameters.
`java.lang.String` | `getHyperlinkReference()`
`byte` | `getHyperlinkTarget()` Deprecated. Replaced by `getHyperlinkTargetValue()`.
`HyperlinkTargetEnum` | `getHyperlinkTargetValue()`
`java.lang.String` | `getHyperlinkTooltip()` Returns the hyperlink tooltip.
`byte` | `getHyperlinkType()` Deprecated. Replaced by `getHyperlinkTypeValue()`.
`HyperlinkTypeEnum` | `getHyperlinkTypeValue()` Retrieves the hyperlink type for the element.
`java.lang.String` | `getLinkTarget()` Returns the hyperlink target name.
`java.lang.String` | `getLinkType()` Returns the hyperlink type.
`void` | `setHyperlinkAnchor(java.lang.String hyperlinkAnchor)`
`void` | `setHyperlinkPage(java.lang.Integer hyperlinkPage)`
`void` | `setHyperlinkParameters(JRPrintHyperlinkParameters parameters)` Sets the custom hyperlink parameters.
`void` | `setHyperlinkReference(java.lang.String hyperlinkReference)`
`void` | `setHyperlinkTarget(byte hyperlinkTarget)` Deprecated. Replaced by `setHyperlinkTarget(HyperlinkTargetEnum)`.
`void` | `setHyperlinkTarget(HyperlinkTargetEnum hyperlinkTarget)`
`void` | `setHyperlinkTooltip(java.lang.String hyperlinkTooltip)` Sets the tooltip to be used for the hyperlink.
`void` | `setHyperlinkType(byte hyperlinkType)` Deprecated. Replaced by `setHyperlinkType(HyperlinkTypeEnum)`.
`void` | `setHyperlinkType(HyperlinkTypeEnum hyperlinkType)` Sets the link type as a built-in hyperlink type.
`void` | `setLinkTarget(java.lang.String linkTarget)` Sets the hyperlink target name.
`void` | `setLinkType(java.lang.String type)` Sets the hyperlink type.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JRBasePrintHyperlink

    public JRBasePrintHyperlink()

  Creates a blank hyperlink.

Method Detail

### getHyperlinkAnchor

    public java.lang.String getHyperlinkAnchor()

  Specified by:
    `getHyperlinkAnchor` in interface `JRPrintHyperlink`

### getHyperlinkPage

    public java.lang.Integer getHyperlinkPage()

  Specified by:
    `getHyperlinkPage` in interface `JRPrintHyperlink`

### getHyperlinkParameters

    public JRPrintHyperlinkParameters getHyperlinkParameters()

  Description copied from interface: `JRPrintHyperlink`
  Returns the set of custom hyperlink parameters.

  Specified by:
    `getHyperlinkParameters` in interface `JRPrintHyperlink`
  Returns:
    the set of custom hyperlink parameters
  See Also:
    `JRPrintHyperlink.setHyperlinkParameters(JRPrintHyperlinkParameters)`, `JRPrintHyperlinkParameter`

### getHyperlinkReference

    public java.lang.String getHyperlinkReference()

  Specified by:
    `getHyperlinkReference` in interface `JRPrintHyperlink`

### getHyperlinkTarget

    public byte getHyperlinkTarget()

  Deprecated. Replaced by `getHyperlinkTargetValue()`.

  Specified by:
    `getHyperlinkTarget` in interface `JRPrintHyperlink`

### getHyperlinkTargetValue

    public HyperlinkTargetEnum getHyperlinkTargetValue()

  Specified by:
    `getHyperlinkTargetValue` in interface `JRPrintHyperlink`

### getHyperlinkType

    public byte getHyperlinkType()

  Deprecated. Replaced by `getHyperlinkTypeValue()`.

  Specified by:
    `getHyperlinkType` in interface `JRPrintHyperlink`

### getHyperlinkTypeValue

    public HyperlinkTypeEnum getHyperlinkTypeValue()

  Description copied from interface: `JRPrintHyperlink`
  Retrieves the hyperlink type for the element.

  The actual hyperlink type is determined by `getLinkType()`. This method can is used to determine whether the hyperlink type is one of the built-in types or a custom type. When hyperlink is of custom type, `CUSTOM` is returned.

  Specified by:
    `getHyperlinkTypeValue` in interface `JRPrintHyperlink`
  Returns:
    one of the hyperlink type constants
  See Also:
    `JRPrintHyperlink.getLinkType()`

### getLinkType

    public java.lang.String getLinkType()

  Description copied from interface: `JRPrintHyperlink`
  Returns the hyperlink type.

  Specified by:
    `getLinkType` in interface `JRPrintHyperlink`
  Returns:
    the hyperlink type

### getLinkTarget

    public java.lang.String getLinkTarget()

  Description copied from interface: `JRPrintHyperlink`
  Returns the hyperlink target name.

  The target name can be one of the built-in names (Self, Blank, Top, Parent), or can be an arbitrary name.

  Specified by:
    `getLinkTarget` in interface `JRPrintHyperlink`
  Returns:
    the hyperlink type

### setHyperlinkAnchor

    public void setHyperlinkAnchor(java.lang.String hyperlinkAnchor)

  Specified by:
    `setHyperlinkAnchor` in interface `JRPrintHyperlink`

### setHyperlinkPage

    public void setHyperlinkPage(java.lang.Integer hyperlinkPage)

  Specified by:
    `setHyperlinkPage` in interface `JRPrintHyperlink`

### setHyperlinkParameters

    public void setHyperlinkParameters(JRPrintHyperlinkParameters parameters)

  Description copied from interface: `JRPrintHyperlink`
  Sets the custom hyperlink parameters.

  These parameters will be used to produce the actual hyperlink when the report is exported.

  Specified by:
    `setHyperlinkParameters` in interface `JRPrintHyperlink`
  Parameters:
    `parameters` - the set of custom hyperlink parameters

### setHyperlinkReference

    public void setHyperlinkReference(java.lang.String hyperlinkReference)

  Specified by:
    `setHyperlinkReference` in interface `JRPrintHyperlink`

### setHyperlinkTarget

    public void setHyperlinkTarget(byte hyperlinkTarget)

  Deprecated. Replaced by `setHyperlinkTarget(HyperlinkTargetEnum)`.

  Specified by:
    `setHyperlinkTarget` in interface `JRPrintHyperlink`

### setHyperlinkTarget

    public void setHyperlinkTarget(HyperlinkTargetEnum hyperlinkTarget)

  Specified by:
    `setHyperlinkTarget` in interface `JRPrintHyperlink`

### setLinkTarget

    public void setLinkTarget(java.lang.String linkTarget)

  Description copied from interface: `JRPrintHyperlink`
  Sets the hyperlink target name.

  The target name can be one of the built-in names (Self, Blank, Top, Parent), or can be an arbitrary name.

  Specified by:
    `setLinkTarget` in interface `JRPrintHyperlink`
  Parameters:
    `linkTarget` - the hyperlink target name

### setHyperlinkType

    public void setHyperlinkType(byte hyperlinkType)

  Deprecated. Replaced by `setHyperlinkType(HyperlinkTypeEnum)`.

  Specified by:
    `setHyperlinkType` in interface `JRPrintHyperlink`

### setHyperlinkType

    public void setHyperlinkType(HyperlinkTypeEnum hyperlinkType)

  Description copied from interface: `JRPrintHyperlink`
  Sets the link type as a built-in hyperlink type.

  Specified by:
    `setHyperlinkType` in interface `JRPrintHyperlink`
  Parameters:
    `hyperlinkType` - the built-in hyperlink type
  See Also:
    `JRPrintHyperlink.getLinkType()`

### setLinkType

    public void setLinkType(java.lang.String type)

  Description copied from interface: `JRPrintHyperlink`
  Sets the hyperlink type.

  The type can be one of the built-in types (Reference, LocalAnchor, LocalPage, RemoteAnchor, RemotePage), or can be an arbitrary type.

  Specified by:
    `setLinkType` in interface `JRPrintHyperlink`
  Parameters:
    `type` - the hyperlink type

### addHyperlinkParameter

    public void addHyperlinkParameter(JRPrintHyperlinkParameter parameter)

  Adds a custom hyperlink parameter.

  Parameters:
    `parameter` - the parameter to add
  See Also:
    `getHyperlinkParameters()`, `JRPrintHyperlinkParameters.addParameter(JRPrintHyperlinkParameter)`

### getHyperlinkTooltip

    public java.lang.String getHyperlinkTooltip()

  Description copied from interface: `JRPrintHyperlink`
  Returns the hyperlink tooltip.

  Specified by:
    `getHyperlinkTooltip` in interface `JRPrintHyperlink`
  Returns:
    the hyperlink tooltip

### setHyperlinkTooltip

    public void setHyperlinkTooltip(java.lang.String hyperlinkTooltip)

  Description copied from interface: `JRPrintHyperlink`
  Sets the tooltip to be used for the hyperlink.

  Specified by:
    `setHyperlinkTooltip` in interface `JRPrintHyperlink`
  Parameters:
    `hyperlinkTooltip` - the tooltip

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com